Connect an AI agent you choose (Claude, ChatGPT, or an agent that runs on your own computer) to your GymNotes log.
It can read your routines, exercises and sets and, only if you allow it, add new sets. It can never edit or delete anything.
https://mcp.gymnotes.fit/mcpAt launch GymNotes accepts Claude, ChatGPT and agents on your own computer (loopback redirect). You need a GymNotes account.
list_routines — List the user's routines and the exercises in each one, in the user's order. Use the ids with get_logs and log_set.get_logs — Return the sets the user logged between two dates, newest first: date, exercise, routine, weight in kg and, when recorded, RIR, RPE or RM. Up to 366 days and 500 sets per call.get_personal_bests — Return the heaviest weight logged for each exercise, in kg, with the first day it was logged.log_set — Add one set to the user's log for an existing exercise: date, weight in kg and, optionally, RIR, RPE or RM. It cannot edit or delete anything. It only works if the user allowed this agent to add sets.Privacy policy: https://gymnotes.fit/privacy · Terms: https://gymnotes.fit/terms · Privacy contact: privacy@eximun.com
https://mcp.gymnotes.fit (RFC 8414 metadata at /.well-known/oauth-authorization-server), protected resource metadata (RFC 9728) at https://mcp.gymnotes.fit/.well-known/oauth-protected-resource/mcp, dynamic client registration (RFC 7591) at /register, token revocation (RFC 7009) at /revoke. Scopes: gymnotes:read, gymnotes:write. Access tokens last 1 hour; refresh tokens rotate./.well-known/mcp/server-card.json · API catalog (RFC 9727): /.well-known/api-catalog.Conecta a tu registro de GymNotes el agente de IA que elijas (Claude, ChatGPT o uno que funcione en tu ordenador).
Puede ver tus rutinas, ejercicios y series y, solo si lo permites, apuntar series nuevas. Nunca puede cambiar ni borrar nada.
https://mcp.gymnotes.fit/mcpEl agente no es GymNotes: lo presta otra empresa o lo ejecutas tú, y trata lo que recibe con sus propias condiciones, quizá fuera de la UE. No recibe tu contraseña, tu correo ni tus datos de Google. GymNotes no entrena IA con tus datos. Contacto de privacidad: privacy@eximun.com.